VisualEditor: "Edit" should load the latest version without hardcoding the "current" revision id (due to race condition and cache)
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. open article in browser window
  2. open same article in another browser window, edit, save changes
  3. edit with VE in first window

Expected result: VE show some sort of warning, and loads the newest version of the article (or maybe refuses to edit it at all).

Actual result: VE happily edits the old revision, and shows [[MediaWiki:Editingold]].


Version: unspecified
Severity: minor

bzimport set Reference to bz49943.
Tgr created this task.Via LegacyJun 21 2013, 7:24 AM
gerritbot added a comment.Via ConduitJul 8 2013, 4:19 PM

Change 72070 had a related patch set uploaded by Krinkle:
mw.ViewPageTarget: Fix incorrect retention of the wrong oldid

https://gerrit.wikimedia.org/r/72070

gerritbot added a comment.Via ConduitJul 8 2013, 11:16 PM

Change 72070 merged by jenkins-bot:
mw.ViewPageTarget: Fix incorrect retention of the wrong oldid

https://gerrit.wikimedia.org/r/72070

Jdforrester-WMF added a comment.Via ConduitJul 9 2013, 12:07 AM

This is now deployed and appears to be working as expected in production, according to my testing. Marking as fixed. Please re-open if you find otherwise.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.